Download it now!
Bug 78495 - FILESAVE: RTF - Number list indentation not preserved
Summary: FILESAVE: RTF - Number list indentation not preserved
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: Confirmed:4.2.4.2:OSX
Keywords: filter:rtf
Depends on:
Blocks: RTF-Bullet-Number-Lists
  Show dependency treegraph
 
Reported: 2014-05-09 15:34 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-10-01 02:52 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
shows how the indent looks like before and after exporting to rtf (146.60 KB, image/jpeg)
2014-05-09 15:34 UTC, Yousuf Philips (jay) (retired)
Details
shows before and after rtf conversion (111.04 KB, image/jpeg)
2014-05-10 09:49 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-05-09 15:34:16 UTC
Created attachment 98767 [details]
shows how the indent looks like before and after exporting to rtf

I download the .docx file found at < http://download.microsoft.com/documents/uk/partner/publicsector/DraftMicrosoftResponsetoGovernment.docx > and opened it in LibO and saved it as an RTF. Then i reopened the RTF file and the number list on page 15 is indented more than the original. The original had indent before text as 0.50" with single line spacing and spacing below paragraph as 0.00", while the RTF had indent before text as 1.00" with fixed line spacing of 0.17" and spacing below paragraph as 0.11".

This was tested in Linux Mint on the last releases from 3.6 to 4.2 and 4.3 alpha. Its a filesave problem as word 2010 shows it the same.
Comment 1 retired 2014-05-10 07:24:21 UTC
Confirmed:4.2.4.2:OSX 10.9.2 -> NEW

open test file in LO, save as rtf, re-open with LO, numbered list is further indented then in the original file.
Comment 2 Yousuf Philips (jay) (retired) 2014-05-10 09:49:28 UTC
Created attachment 98813 [details]
shows before and after rtf conversion
Comment 3 Robinson Tryon (qubit) 2015-12-14 11:26:52 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2017-01-03 19:47:36 UTC Comment hidden (obsolete)
Comment 5 Yousuf Philips (jay) (retired) 2017-09-30 14:12:24 UTC
Still present.

Version: 6.0.0.0.alpha0+
Build ID: 13df3777e4b6ff7537692b396be67a5fd2b9b001
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 6 QA Administrators 2018-10-01 02:52:37 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug